Package org.eclipse.birt.report.model.api

# Interface IAbsoluteFontSizeValueProvider

public interface IAbsoluteFontSizeValueProvider
Provides the absolute dimension value for absolute font size constant.

## Method Summary

Modifier and Type
Method
Description
`DimensionValue`
`getValueOf(String fontSizeConstant)`
Returns the dimension value of absolute font size constant.

## Method Details

### getValueOf

DimensionValue getValueOf(String fontSizeConstant)
Returns the dimension value of absolute font size constant. These constants are defined in `DesignChoiceConstants`. And the absolute value of the following should be provided:

- `FONT_SIZE_XX_SMALL`
- `FONT_SIZE_X_SMALL`
- `FONT_SIZE_SMALL`
- `FONT_SIZE_MEDIUM`
- `FONT_SIZE_LARGE`
- `FONT_SIZE_X_LARGE`
- `FONT_SIZE_XX_LARGE`

Parameters:
  `fontSizeConstant` - the absolute font size constant
Returns:
  the absolute dimension value. The unit of the returned value should be one of px, in, cm, mm, and pt.